… to make it compatible with Python 2.3

Decorators were introduced in 2.4 (PEP 318), who knew!

Signed-off-by: R. Tyler Ballance <tyler@slide.com>